commit:     1b81c6c8ac07e12c1e8399a83e851dd6ebfcaf93
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Fri Jun 11 08:54:49 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Jun 11 08:54:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b81c6c8

x11-misc/shutter: version 0.96

Closes: https://github.com/gentoo/gentoo/pull/21134
Closes: https://bugs.gentoo.org/774912
Signed-off-by: Alexey Sokolov <sokolov <AT> google.com>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 x11-misc/shutter/Manifest            |  1 +
 x11-misc/shutter/shutter-0.96.ebuild | 80 ++++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/x11-misc/shutter/Manifest b/x11-misc/shutter/Manifest
index ef12e8346f6..5e01852827d 100644
--- a/x11-misc/shutter/Manifest
+++ b/x11-misc/shutter/Manifest
@@ -1,2 +1,3 @@
 DIST shutter-0.94.3_p20200621.tar.gz 2571420 BLAKE2B 
0567d03d1b511f3bbe889ad6dda3bfa347dc69d96c7ab89368e6e97925d8d4cccb378ee0da179a65a482e6d22117aaff390088e7cac5d695edd3b8fee7c6a396
 SHA512 
3426b1cc475356cbcbcaba89e59e904907d61ceafb96b7d7994ff3d9a1fcb1f8151099a2361cd8de63b16fe02c1246f0cb50fb7166d666bc502f18e6fdda6d5f
 DIST shutter-0.95.tar.gz 2567849 BLAKE2B 
ecb29ef21990dfcb29f71c87b690f0e0609890f88edb2ed3ae3d0650456974242ff278e443a13bd3081625491b86c5d53642c5c2c997a37fcd1d7752994a7cab
 SHA512 
77df43b952c10e6280b12170de997c12e0e13d5868f80f1ab22ad9a062b4b67eb93dfc540d4ed0f5db2e950eaae8a258f3d01d9ddf6043d26f8f16f0ce93e75a
+DIST shutter-0.96.tar.gz 2558287 BLAKE2B 
cce48a08345502b97be67c6299fa1a011c813519620c7c4c1ff09bf25d6fb525e71b7439037fcbed96900b191e18f551dcac8af1ef0bdce756d4489b2b0b9d95
 SHA512 
0c7d13950bed216571278cec730a4986aae87effbf385d39805c0f0206c9fda30ec0cba4fe7cb36eebd9cd228c4ada35e21fd5170c9c442eee6934dac41c0c0f

diff --git a/x11-misc/shutter/shutter-0.96.ebuild 
b/x11-misc/shutter/shutter-0.96.ebuild
new file mode 100644
index 00000000000..7fbb2da323b
--- /dev/null
+++ b/x11-misc/shutter/shutter-0.96.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop optfeature prefix xdg
+
+DESCRIPTION="Feature-rich screenshot program"
+HOMEPAGE="https://shutter-project.org/";
+SRC_URI="https://github.com/shutter-project/shutter/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-lang/perl
+       dev-perl/libxml-perl
+       dev-perl/libwww-perl
+       dev-perl/Glib-Object-Introspection
+       dev-perl/GooCanvas2
+       dev-perl/GooCanvas2-CairoTypes
+       dev-perl/Gtk3
+       >=dev-perl/Gtk3-ImageView-9
+       dev-perl/File-DesktopEntry
+       dev-perl/File-HomeDir
+       dev-perl/File-Which
+       dev-perl/JSON
+       dev-perl/File-Copy-Recursive
+       dev-perl/File-MimeInfo
+       dev-perl/Locale-gettext
+       dev-perl/Net-DBus
+       dev-perl/Number-Bytes-Human
+       dev-perl/Pango
+       dev-perl/Proc-Simple
+       dev-perl/Proc-ProcessTable
+       dev-perl/Sort-Naturally
+       dev-perl/WWW-Mechanize
+       dev-perl/X11-Protocol
+       dev-perl/XML-Simple
+       virtual/imagemagick-tools[perl]
+       x11-libs/libwnck:3[introspection]
+"
+
+src_prepare() {
+       hprefixify bin/shutter
+       default
+}
+
+src_install() {
+       dobin bin/shutter
+       dodoc README
+       domenu share/applications/shutter.desktop
+       doicon share/pixmaps/shutter.png
+       doman share/man/man1/shutter.1
+
+       insinto /usr/share
+       doins -r share/shutter
+       doins -r share/locale
+       doins -r share/icons
+
+       insinto /usr/share/metainfo
+       doins share/appdata/shutter.appdata.xml
+
+       # .po doesn't belong to installed system, only .mo
+       rm -r "${ED}"/usr/share/shutter/resources/po || die
+
+       # shutter executes perl scripts as standalone scripts, and after that 
"require"s them.
+       find "${ED}"/usr/share/shutter/resources/system/plugins/ -type f ! 
-name '*.*' -exec chmod 755 {} \; \
+               || die "failed to make plugins executables"
+       find "${ED}"/usr/share/shutter/resources/system/upload_plugins/upload 
-type f \
+               -name "*.pm" -exec chmod 755 {} \; || die "failed to make 
upload plugins executables"
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       optfeature "writing Exif information" media-libs/exiftool
+       optfeature "image hostings uploading" "dev-perl/JSON-MaybeXS 
dev-perl/Net-OAuth dev-perl/Path-Class"
+}

Reply via email to